SwitfyJSON を iOS 8.3 & Xcode 6.3 で使う手順

Xcode6.3がリリースされたので早速アップデートしたらSwiftyJSONとAlamofireがエラーになってしまった。Xcode6.3でのSwiftyJSONとAlamofireのセットアップ方法をメモしておく。

Alamofireは1.2でXcode6.3対応が完了していますので、バージョンを指定してあげます。

pod ‘Alamofire’, ‘~> 1.2.0’

SwiftyJSONはブランチ「xcode6.3」にて対応されていますのでこちらを取得するように変更します。

pod ‘SwiftyJSON’, :git => ‘https://github.com/SwiftyJSON/SwiftyJSON.git’, :branch => ‘xcode6.3’

 

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です